This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 448945 - [intel] [broken DDC CRT] auto-switches from PreferredMode to 2048x1536 after desktop initialization
[intel] [broken DDC CRT] auto-switches from PreferredMode to 2048x1536 after ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-29 12:27 EDT by Felix Miata
Modified: 2009-07-14 13:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:42:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf made by system-config-display for generic 1600x1200 display (931 bytes, text/plain)
2008-05-29 12:27 EDT, Felix Miata
no flags Details
Xorg.0.log from using attachment 307103 (19.14 KB, text/plain)
2008-05-29 12:29 EDT, Felix Miata
no flags Details
xorg.conf made by system-config-display for Dell P991 display (924 bytes, text/plain)
2008-05-29 12:34 EDT, Felix Miata
no flags Details
Xorg.0.log from using attachment 307105 (18.90 KB, text/plain)
2008-05-29 12:34 EDT, Felix Miata
no flags Details
lspci -v output (4.17 KB, text/plain)
2008-05-29 12:37 EDT, Felix Miata
no flags Details

  None (edit)
Description Felix Miata 2008-05-29 12:27:17 EDT
i845G system on '19"' Dell P991 CRT display with dysfunctional DDC.

I installed F9 a few days after release announcement, and just Yum updated this
AM. I run system-config-display and choose either generic 1600x1200 display or
the Dell P991 display with 24bit 1600x1200 mode. system-config-display fails to
include any DisplaySize line. KDE via startx starts in 1600x1200, but before
desktop completes initialization, screen blanks, then repaints the current
1600x1200 view into the upper left corner, then repaints everything into
2048x1536 mode. When I go to log out without first switching from 2048x1536 to
1600x1200, the logout confirmation window opens centered in the 1600x1200 area
in the upper left corner instead of the usual center of entire screen. A check
of krandrtray shows nothing selected, with 2048x1536 at top of list. I can
choose 1600x1200, which it will switch to, but the DPI is wrong. Before using
krandrtray to switch from 2048x1536, DPI is a mere 96. After the switch to
1600x1200, Kinfocenter reports 75 DPI, a tiny fraction of what it should be. I
can improve the DPI by setting a DisplaySize in xorg.conf, but am unable to find
a way to keep in 1600x1200 mode.

I never tried previous Fedora releases on this system, but it totally behaves as
expected if I run the KDE's under Mandriva 2008.1, Mandriva Cooker and OpenSUSE
Factory and 10.3. In all of them, NoDDC, PreferredMode and DisplaySize all
produce expected results.
Comment 1 Felix Miata 2008-05-29 12:27:17 EDT
Created attachment 307103 [details]
xorg.conf made by system-config-display for generic 1600x1200 display
Comment 2 Felix Miata 2008-05-29 12:29:17 EDT
Created attachment 307104 [details]
Xorg.0.log from using attachment 307103 [details]
Comment 3 Felix Miata 2008-05-29 12:34:02 EDT
Created attachment 307105 [details]
xorg.conf made by system-config-display for Dell P991 display
Comment 4 Felix Miata 2008-05-29 12:34:20 EDT
Created attachment 307106 [details]
Xorg.0.log from using attachment 307105 [details]
Comment 5 Felix Miata 2008-05-29 12:37:43 EDT
Created attachment 307107 [details]
lspci -v output
Comment 6 Bug Zapper 2009-06-09 21:16:43 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 13:42:25 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.